org.apache.hc.client5.http.impl

## Class Wire

- java.lang.Object
- - org.apache.hc.client5.http.impl.Wire

    @Internal
    public class Wire
    extends Object

### Constructor Summary

Constructors
Constructor and Description
`Wire(org.slf4j.Logger log, String id)`

### Method Summary

Methods
`void` `input(byte[] b)`
`void` `input(byte[] b, int pos, int off)`
`void` `input(ByteBuffer b)`
`void` `input(int b)`
`void` `input(String s)`
`boolean` `isEnabled()`
`void` `output(byte[] b)`
`void` `output(byte[] b, int pos, int off)`
`void` `output(ByteBuffer b)`
`void` `output(int b)`
`void` `output(String s)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### Wire

    public Wire(org.slf4j.Logger log,
        String id)

### Method Detail

#### isEnabled

    public boolean isEnabled()

#### output

    public void output(byte[] b,
              int pos,
              int off)

#### input

    public void input(byte[] b,
             int pos,
             int off)

#### output

    public void output(byte[] b)

#### input

    public void input(byte[] b)

#### output

    public void output(int b)

#### input

    public void input(int b)

#### output

    public void output(String s)

#### input

    public void input(String s)

#### output

    public void output(ByteBuffer b)

#### input

    public void input(ByteBuffer b)